# Get multi-leg payment status (deprecated) Enables users to query the processing status of a multi-leg payment. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Payments", "description": "Payment endpoints supporting external accounts" } ], "components": { "parameters": { "TrackingIdPath": { "name": "trackingId", "in": "path", "description": "Original tracking ID provided when the ID is created.", "schema": { "type": "string", "minLength": 1, "maxLength": 43 }, "required": true, "example": "0a50c88a-ade8-4bcc-a639-9a0b0f11e245" } }, "schemas": { "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "ExternalAccountId2": { "type": "string", "description": "External ID of the account to which the transaction is posted.", "maxLength": 60, "minLength": 1, "example": "289", "pattern": "^[a-zA-Z0-9-]+$" }, "LegProcessingStatus": { "type": "string", "description": "Status of the leg processing.
\n* `PENDING`: The payment leg is awaiting execution.\n* `EXECUTED`: The payment leg was executed successfully.\n* `FAILED`: The payment leg execution failed.\n* `ROLLED_BACK`: The payment leg was executed successfully but was rolled back due to a failure in another leg.\n* `ROLLBACK_FAILED`: The payment leg was executed successfully; another leg failed, triggering a rollback, but the rollback for this leg was unsuccessful.\n", "enum": [ "PENDING", "EXECUTED", "FAILED", "ROLLED_BACK", "ROLLBACK_FAILED" ], "example": "PENDING" }, "MultiLegItemStatus": { "title": "MultiLegLegStatus", "type": "object", "properties": { "tracking_id": { "$ref": "#/components/schemas/TrackingID" }, "external_account_id": { "$ref": "#/components/schemas/ExternalAccountId2" }, "status": { "$ref": "#/components/schemas/LegProcessingStatus" } } }, "MultiLegStatus": { "title": "MultiLegLegStatus", "type": "object", "properties": { "tracking_id": { "$ref": "#/components/schemas/TrackingID" }, "status": { "type": "string", "description": "Status of the multi-leg processing.", "enum": [ "CREATING", "EXECUTING", "DEBITS_EXECUTED", "CREDITS_FAILED", "FINISHED", "ROLLING_BACK", "ROLLED_BACK", "ROLLBACK_FAILED", "TIMED_OUT" ], "example": "CREATING" }, "debits": { "type": "array", "items": { "$ref": "#/components/schemas/MultiLegItemStatus" } }, "credits": { "type": "array", "items": { "$ref": "#/components/schemas/MultiLegItemStatus" } } } }, "TrackingID": { "type": "string", "description": "A unique payment tracking number provided by the client. If an existing `tracking_id` already exists in the system, the API returns a `409` error.\n\nThis field is:\n - Unique within the Organization.\n - Immutable — It can't be updated.\n - Not recyclable — You can't reuse a `tracking_id`.\n", "minLength": 1, "maxLength": 43, "example": "0a50c88a-ade8-4bcc-a639-9a0b0f11e244" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "The request has been lost" }, "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v2/payments/multileg/{trackingId}": { "get": { "summary": "Get multi-leg payment status (deprecated)", "operationId": "corporate-v2-get-multileg-payment", "deprecated": true, "description": "Enables users to query the processing status of a multi-leg payment.", "parameters": [ { "$ref": "#/components/parameters/TrackingIdPath" } ], "tags": [ "Payments" ], "responses": { "200": { "description": "Get multi-leg payment status", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MultiLegStatus" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Invalid JSON payload": { "value": { "code": "WMLP0007", "message": "multi leg not found" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```